VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPhysicalDeviceVulkanMemoryModelFeaturesKHR const & () const
| operator VkPhysicalDeviceVulkanMemoryModelFeaturesKHR & ()
bool | operator== (PhysicalDeviceVulkanMemoryModelFeaturesKHR const &rhs) const
bool | operator!= (PhysicalDeviceVulkanMemoryModelFeaturesKHR const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | vulkanMemoryModel
Bool32 | vulkanMemoryModelDeviceScope

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceVulkanMemoryModelFeaturesKHR

## Detailed Description

Definition at line 18893 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceVulkanMemoryModelFeaturesKHR &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::operator VkPhysicalDeviceVulkanMemoryModelFeaturesKHR & | ( |  | ) |

inline

Definition at line 18900 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceVulkanMemoryModelFeaturesKHR*>(this);
}

## operator VkPhysicalDeviceVulkanMemoryModelFeaturesKHR const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::operator VkPhysicalDeviceVulkanMemoryModelFeaturesKHR const & | ( |  | ) | const

inline

Definition at line 18895 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceVulkanMemoryModelFeaturesKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::operator!= | ( | PhysicalDeviceVulkanMemoryModelFeaturesKHR const & | rhs | ) | const

inline

Definition at line 18913 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::operator== | ( | PhysicalDeviceVulkanMemoryModelFeaturesKHR const & | rhs | ) | const

inline

Definition at line 18905 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( vulkanMemoryModel == rhs.vulkanMemoryModel )
&& ( vulkanMemoryModelDeviceScope == rhs.vulkanMemoryModelDeviceScope );
}

References pNext, sType, vulkanMemoryModel, and vulkanMemoryModelDeviceScope.

Referenced by operator!=().

## Field Documentation

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::pNext = nullptr

Definition at line 18922 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::sType = StructureType::ePhysicalDeviceVulkanMemoryModelFeaturesKHR

private

Definition at line 18919 of file vulkan.hpp.

Referenced by operator==().

## vulkanMemoryModel

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::vulkanMemoryModel

Definition at line 18923 of file vulkan.hpp.

Referenced by operator==().

## vulkanMemoryModelDeviceScope

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::vulkanMemoryModelDeviceScope

Definition at line 18924 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::vulkanMemoryModel
Bool32 vulkanMemoryModel
Definition: vulkan.hpp:18923
VkPhysicalDeviceVulkanMemoryModelFeaturesKHR
Definition: vulkan_core.h:6132
VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::vulkanMemoryModelDeviceScope
Bool32 vulkanMemoryModelDeviceScope
Definition: vulkan.hpp:18924
VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::operator==
bool operator==(PhysicalDeviceVulkanMemoryModelFeaturesKHR const &rhs) const
Definition: vulkan.hpp:18905
VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::pNext
void * pNext
Definition: vulkan.hpp:18922
VULKAN_HPP_NAMESPACE::PhysicalDeviceVulkanMemoryModelFeaturesKHR::sType
StructureType sType
Definition: vulkan.hpp:18919